-- presets:
presets = {

  {
    name = "SoX: Normalize (Relative)",
    cmd = "@normalize",
    desc = [[Normalize all samples relative to the loudest sample.]],
  },

  {
    name = "SoX: Trim silence (start/end)",
    cmd = "sox @in @out silence 1 0.1 0.1% reverse silence 1 0.1 0.1% reverse",
    desc = [[Trim silence from start and end of the sample.
    0.1% is the threshold value.]],
  },

  {
    name = "SoX: Change sample speed",
    cmd = "sox @in @out speed 1200c",
    desc = [[Speeds up the sample with an amount of cents, setting it to 1200 is like shifting the octave.]],
  },

  {
    name = "SoX: Contrast",
    cmd = "sox @in @out contrast 50",
    desc = [[Comparable with compression, this effect modifies an audio signal to make it sound louder. enhancement-amount controls the amount of the enhancement and is a number in the range 0−100. Note that enhancement-amount = 0 still gives a significant contrast enhancement.]],
  },

  {
    name = "SoX: Change sampling rate",
    cmd = "sox @in -r 22k @out",
    desc = [[Change the sampleing rate. Here 22k]],
  },

  {
    name = "SoX: Echo (Short metallic)",
    cmd = [[sox @in @out echo 0.8 0.88 6 0.4]],
    desc = [[echo gain-in gain-out <delay decay>
Add echoing to the audio. Echoes are reflected sound and can occur naturally amongst mountains (and sometimes large buildings) when talking or shouting; digital echo effects emulate this behaviour and are often used to help fill out the sound of a single instrument or vocal. The time difference between the original signal and the reflection is the ‘delay’ (time), and the loudness of the reflected signal is the ‘decay’. Multiple echoes can have different delays and decays.]],
  },

  {
    name = "SoX: Fade in/out",
    cmd = [[sox @in @out fade 0.01 0 0.01]],
    desc = [[fade [type] fade-in-length [stop-time [fade-out-length]\]

Apply a fade effect to the beginning, end, or both of the audio.

An optional type can be specified to select the shape of the fade curve: q for quarter of a sine wave, h for half a sine wave, t for linear (‘triangular’) slope, l for logarithmic, and p for inverted parabola. The default is logarithmic.

A fade-in starts from the first sample and ramps the signal level from 0 to full volume over fade-in-length seconds. Specify 0 seconds if no fade-in is wanted.

For fade-outs, the audio will be truncated at stop-time and the signal level will be ramped from full volume down to 0 starting at fade-out-length seconds before the stop-time. If fade-out-length is not specified, it defaults to the same value as fade-in-length. No fade-out is performed if stop-time is not specified. If the file length can be determined from the input file header and length-changing effects are not in effect, then 0 may be specified for stop-time to indicate the usual case of a fade-out that ends at the end of the input audio stream.

All times can be specified in either periods of time or sample counts. To specify time periods use the format hh:mm:ss.frac format. To specify using sample counts, specify the number of samples and append the letter ‘s’ to the sample count (for example ‘8000s’).]],
  },

  {
    name = "SoX: Normalize",
    cmd = [[sox @in @out norm 0.01]],
    desc = [[norm [dB-level]
Normalise the audio. norm is just an alias for gain −n; see the gain effect for details.]],
  },

  {
    name = "SoX: Reverb",
    cmd = [[sox @in @out pad 0 3 reverb]],
    desc = [[reverb [−w|−−wet-only] [reverberance (50%) [HF-damping (50%)
[room-scale (100%) [stereo-depth (100%)
[pre-delay (0ms) [wet-gain (0dB)]\]\]\]\]\]

Add reverberation to the audio using the ‘freeverb’ algorithm. A reverberation effect is sometimes desirable for concert halls that are too small or contain so many people that the hall’s natural reverberance is diminished. Applying a small amount of stereo reverb to a (dry) mono signal will usually make it sound more natural. See [3] for a detailed description of reverberation.]],
  },

}